<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhpc.activity.mapper.XhpcOperatorMapper">

    <resultMap type="com.xhpc.activity.domain.XhpcOperatorDomain" id="BaseResultMap">
        <result column="operator_id" property="operatorId"/>
        <result column="name" property="name"/>
        <result column="contact_name" property="contactName"/>
        <result column="contact_phone" property="contactPhone"/>
        <result column="phone" property="phone"/>
        <result column="attribute" property="attribute"/>
        <result column="duty_paragraph" property="dutyParagraph"/>
        <result column="open_bank" property="openBank"/>
        <result column="card_number" property="cardNumber"/>
        <result column="area_code" property="areaCode"/>
        <result column="address" property="address"/>
        <result column="detailed_address" property="detailedAddress"/>
        <result column="longitude" property="longitude"/>
        <result column="latitude" property="latitude"/>
        <result column="email" property="email"/>
        <result column="commission_type" property="commissionType"/>
        <result column="platform_commission_rate" property="platformCommissionRate"/>
        <result column="maintenance_commission_rate" property="maintenanceCommissionRate"/>
        <result column="business_license_id" property="businessLicenseId"/>
        <result column="withdrawal_time" property="withdrawalTime"/>
        <result column="soc" property="soc"/>
        <result column="status" property="status"/>
        <result column="del_flag" property="delFlag"/>
        <result column="create_time" property="createTime"/>
        <result column="create_by" property="createBy"/>
        <result column="update_time" property="updateTime"/>
        <result column="update_by" property="updateBy"/>
        <result column="remark" property="remark"/>
        <result column="operator_id_evcs" property="operatorIdEvcs"/>
    </resultMap>

    <sql id="Base_Column_List">
                operator_id, name, contact_name,  contact_phone,
                phone, attribute,open_bank,card_number, area_code, address,
                detailed_address,   duty_paragraph,
                longitude, latitude, email,  commission_type,
                platform_commission_rate,
                maintenance_commission_rate,
                business_license_id,  withdrawal_time, soc,
                status, del_flag, create_time,
                create_by, update_time, update_by, remark
    </sql>


    <select id="selectByPrimaryKey" parameterType="java.lang.Long" resultMap="BaseResultMap">
        select
        <include refid="Base_Column_List"/>
        from xhpc_operator
        where operator_id = #{id}
    </select>

</mapper>
